public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-engines/openmw/
Date: Sat, 22 Jul 2023 17:01:05 +0000 (UTC)	[thread overview]
Message-ID: <1690045254.2f9e56ed6c4bac83a1c63a3f3f13331b12fb321c.soap@gentoo> (raw)

commit:     2f9e56ed6c4bac83a1c63a3f3f13331b12fb321c
Author:     Alexey Sokolov <alexey+gentoo <AT> asokolov <DOT> org>
AuthorDate: Sat Jul 22 17:00:54 2023 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Jul 22 17:00:54 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2f9e56ed

games-engines/openmw: sync live

Closes: https://github.com/gentoo/gentoo/pull/32002
Signed-off-by: Alexey Sokolov <alexey+gentoo <AT> asokolov.org>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 games-engines/openmw/openmw-9999.ebuild | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

diff --git a/games-engines/openmw/openmw-9999.ebuild b/games-engines/openmw/openmw-9999.ebuild
index 47e3aee609e5..a7b997f5b8a9 100644
--- a/games-engines/openmw/openmw-9999.ebuild
+++ b/games-engines/openmw/openmw-9999.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-LUA_COMPAT=( lua5-{1,3,4} luajit )
+LUA_COMPAT=( luajit )
 inherit cmake lua-single readme.gentoo-r1 xdg
 
 DESCRIPTION="Open source reimplementation of TES III: Morrowind"
@@ -14,7 +14,7 @@ if [[ ${PV} == *9999* ]]; then
 	EGIT_REPO_URI="https://github.com/OpenMW/openmw.git"
 else
 	SRC_URI="https://github.com/OpenMW/openmw/archive/${P}.tar.gz"
-	KEYWORDS="~amd64 ~x86"
+	KEYWORDS="~amd64 ~arm64 ~x86"
 	S="${WORKDIR}/${PN}-${P}"
 fi
 
@@ -34,7 +34,7 @@ RESTRICT="!test? ( test )"
 
 RDEPEND="${LUA_DEPS}
 	app-arch/lz4:=
-	>=dev-games/mygui-3.4.1
+	dev-games/mygui
 	dev-cpp/yaml-cpp:=
 	dev-db/sqlite:3
 	dev-games/recastnavigation:=
@@ -105,6 +105,8 @@ src_configure() {
 			-DUSE_LUAJIT=ON
 		)
 	else
+		# 5.1 (and other 5.x) are supported in theory, but don't work well (eg. test fails)
+		# In a future version consider adding it back to LUA_COMPAT or dropping this branch
 		mycmakeargs+=(
 			-DUSE_LUAJIT=OFF
 			-DLua_FIND_VERSION_MAJOR=$(ver_cut 1 $(lua_get_version))
@@ -116,7 +118,8 @@ src_configure() {
 
 	if use test ; then
 		mkdir -p "${BUILD_DIR}"/apps/openmw_test_suite/data || die
-		cp "${DISTDIR}"/openmw-template-${MY_TEMPLATE_COMMIT}.omwgame "${BUILD_DIR}"/apps/openmw_test_suite/data/template.omwgame || die
+		cp "${DISTDIR}"/openmw-template-${MY_TEMPLATE_COMMIT}.omwgame \
+			"${BUILD_DIR}"/apps/openmw_test_suite/data/template.omwgame || die
 	fi
 
 	cmake_src_configure
@@ -134,7 +137,9 @@ src_compile() {
 }
 
 src_test() {
-	"${BUILD_DIR}/openmw_test_suite" || die
+	pushd "${BUILD_DIR}" > /dev/null || die
+	./openmw_test_suite || die
+	popd > /dev/null || die
 }
 
 src_install() {


             reply	other threads:[~2023-07-22 17:01 UTC|newest]

Thread overview: 44+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-07-22 17:01 David Seifert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-05-20 21:06 [gentoo-commits] repo/gentoo:master commit in: games-engines/openmw/ Andreas Sturmlechner
2025-04-14  1:11 Stefan Strogin
2024-11-29  0:12 Sam James
2024-03-23 16:19 Sam James
2024-03-23 13:44 Sam James
2023-09-09  0:49 Ionen Wolkens
2023-08-14 11:38 Joonas Niilola
2023-07-22 17:01 David Seifert
2023-02-16  9:51 David Seifert
2022-08-28  0:10 Ionen Wolkens
2022-05-26  4:28 Ionen Wolkens
2021-12-18 18:26 David Seifert
2021-12-08  3:33 Sam James
2021-10-16 21:27 Ionen Wolkens
2021-09-12 20:20 Ionen Wolkens
2021-08-16  8:30 Joonas Niilola
2021-07-31  1:15 Ionen Wolkens
2021-07-14  5:47 Ionen Wolkens
2021-06-18 19:18 David Seifert
2021-06-05 23:39 Ionen Wolkens
2021-05-06 12:47 Joonas Niilola
2020-10-13 10:46 Joonas Niilola
2020-05-27  9:43 Andreas Sturmlechner
2020-03-14 17:59 Andreas Sturmlechner
2019-07-28 22:26 James Le Cuirot
2019-07-28 22:26 James Le Cuirot
2018-12-23 22:48 Andreas Sturmlechner
2018-08-21  8:31 Patrice Clement
2018-07-15 14:53 Andreas Sturmlechner
2018-03-18 10:03 Andreas Sturmlechner
2018-02-07  2:02 Andreas Sturmlechner
2018-01-12 21:02 David Seifert
2017-11-01 20:30 James Le Cuirot
2017-03-02 19:39 Andreas Sturmlechner
2017-02-18 21:45 Andreas Sturmlechner
2017-02-18 21:17 Andreas Sturmlechner
2017-02-18 21:17 Andreas Sturmlechner
2016-11-11 19:39 Austin English
2016-06-07 22:27 Michael Sterrett
2016-05-24 19:52 Michael Sterrett
2015-09-06 19:31 Michael Sterrett
2015-08-09 13:28 Julian Ospald
2015-08-09 12:25 Julian Ospald

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1690045254.2f9e56ed6c4bac83a1c63a3f3f13331b12fb321c.soap@gentoo \
    --to=soap@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox